%global pkgname prompt-toolkit
%global srcname prompt_toolkit

Summary:        Library for building powerful interactive command line applications in Python
Name:           python-%{pkgname}
Version:        3.0.41
Release:        3%{?dist}
License:        BSD
URL:            https://github.com/prompt-toolkit/python-prompt-toolkit
Source0:        %{url}/archive/refs/tags/%{version}.tar.gz
BuildArch:      noarch


%description
prompt_toolkit is a library for building powerful interactive command line applications in Python.


%package -n python3-%{pkgname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
Recommends:     python3-pygments


%description -n python3-%{pkgname}
prompt_toolkit is a library for building powerful interactive command line applications in Python.


%prep
%autosetup

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}


%check
%pytest


%files -n python3-%{pkgname} -f %{pyproject_files}
%doc README.rst AUTHORS.rst CHANGELOG


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.41-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.41-2
- Rebuilt for loongarch release

* Thu May 09 2024 Upgrade Robot <upbot@opencloudos.tech> - 3.0.41-1
- Upgrade to version 3.0.41 for ipython 8.24.0.

* Mon Sep 25 2023 Shuo Wang <abushwang@tencent.com> - 3.0.38-1
- update to 3.0.38

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.29-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.29-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.29-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.29-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 1 2022 cunshunxia <cunshunxia@tencent.com> - 3.0.29-1
- initial build
